diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/AUTHORS ns-3.43/AUTHORS
--- ns-3.42/AUTHORS	2024-05-29 15:29:46.824072800 -0700
+++ ns-3.43/AUTHORS	2024-10-09 16:41:09.752655300 -0700
@@ -30,12 +30,14 @@
 Apoorva Bhargava (apoorvabhargava13@gmail.com)
 Avakash Bhat (avakash261@gmail.com)
 Kavya Bhat (kavyabhat@gmail.com)
+Sanjay Bhat (sanjubhat2004@gmail.com)
 Raj Bhattacharjea (raj.b@gatech.edu)
 Mathew Bielejeski (bielejeski1@llnl.gov)
 Timo Bingmann (timo.bingmann@student.kit.edu)
 Doug Blough (doug.blough@gatech.edu)
 Julien Boite (juboite@gmail.com)
 Biljana Bojovic (bbojovic@cttc.es)
+Andreas Boltres (andreas.boltres@partner.kit.edu)
 Elena Borovkova (borokovaes@iitp.ru)
 Rahul Bothra (rrbothra@gmail.com)
 Caleb Bowers (caleb.bowers@nel.navy.mil, cbowers1020@gmail.com)
@@ -44,7 +46,6 @@
 Dan Broyles (muxman@sbcglobal.net)
 Jonathan Brugge (j.d.brugge@student.utwente.nl)
 Junling Bu (linlinjavaer@gmail.com)
-Alessio Bugetti (alessiobugetti98@gmail.com)
 Elena Buchatskaia (borovkovaes@iitp.ru)
 Alessio Bugetti (alessiobugetti98@gmail.com)
 Nuno Cardoso (nunopcardoso@gmail.com)
@@ -76,6 +77,7 @@
 Sébastien Deronne (sebastien.deronne@gmail.com)
 Ameya Deshpande (ameyanrd@outlook.com)
 Zhiheng Dong (dzh2077@gmail.com)
+@donghuiyong at GitLab.com
 Christoph Döpmann (doepmanc@informatik.hu-berlin.de)
 Jordan Dorham (dorham1@llnl.gov)
 Craig Dowell (craigdo@ee.washington.edu)
@@ -96,8 +98,10 @@
 Eric Gamess (egamess@gmail.com)
 Shiva Gantha (ganthashiva@gmail.com)
 Yida Gao (yidapb@gmail.com)
+Vikas Gaur (vikasgaurdws@gmail.com)
 Thomas Geithner (thomas.geithner@dai-labor.de)
 Ashim Ghosh (ashim.atiit@gmail.com)
+@Ghostyhands at GitLab.com
 Martin Giachino (martin.giachino@gmail.com,giachino@fing.edu.uy)
 Nichit Bodhak Goel (nichit93@gmail.com)
 Tom Goff (tgoff@tgoff.net)
@@ -144,6 +148,7 @@
 Liu Jian (liujatp@gmail.com)
 Sascha Alexander Jopen (jopen@informatik.uni-bonn.de)
 Piotr Jurkiewicz (piotr.jerzy.jurkiewicz@gmail.com)
+Kakadus1 (j.dittrich2303@gmail.com)
 Evgeny Kalishenko (ydginster@gmail.com)
 Raghuram Kannan (raghuramkannan40@gmail.com)
 Vignesh Kannan (vignesh2496@gmail.com)
@@ -152,6 +157,7 @@
 Konstantinos Katsaros (dinos.katsaros@gmail.com)
 Bhaskar Kataria (www.bhaskar.com7@gmail.com)
 Nils Kattenbeck (nils.kattenbeck@rwth-aachen.de)
+Nakayama Kenjiro (nakayamakenjiro@gmail.com)
 Morteza Kheirkhah (m.kheirkhah@sussex.ac.uk)
 Jörg Christian Kirchhof (christian.kirchhof@rwth-aachen.de)
 Ohad Klausner
@@ -261,6 +267,7 @@
 Andrea Ranieri (andreran@uno.it)
 Bruno Ranieri (Yrrsinn@googlemail.com)
 Deepti Rajagopal (deeptir96@gmail.com)
+Satyarth Ratnani (satyarthratnani@gmail.com)
 Varun Reddy (varunamarreddy@gmail.com)
 Ken Renard (kenneth.renard@arl.army.mil)
 Getachew Redieteab (getachew.redieteab@orange.com)
@@ -270,7 +277,7 @@
 Matias Richart (mrichart@fing.edu.uy)
 George F. Riley (riley@ece.gatech.edu)
 Juergen Rinas (jrinas@gmx.de)
-Robert-ML
+@Robert-ML at GitLab.com
 Sebastian Rohde (sebastian.rohde@tu-dortmund.de)
 Karsten Roscher (sfx@rocktale.de)
 Ali Rostami (a.rostami@rutgers.edu)
@@ -300,6 +307,7 @@
 Guowang Shi (shiguowang2007@gmail.com)
 Phillip Sitbon (phillip.sitbon@gmail.com)
 Pedro Silva (pmms@inesctec.pt)
+Aniket Singh (aniketsingh84646@gmail.com)
 Siddharth Singh (siddharth12375@gmail.com)
 Anirudh Sivaraman (sk.anirudh@gmail.com)
 Steven Smith (smith84@llnl.gov)
@@ -313,6 +321,7 @@
 Greg Steinbrecher (grs@fb.com)
 YunQiang Su (wzssyqa@gmail.com)
 Brian Swenson (bswenson3@gatech.edu)
+Jay C. Surani (jaysurani333@gmail.com)
 Lalith Suresh  (suresh.lalith@gmail.com)
 Szymon Szott (szott@kt.agh.edu.pl)
 Mohit P. Tahiliani (tahiliani.nitk@gmail.com)
@@ -331,6 +340,7 @@
 Frederic Urbani (frederic.urbani@inria.fr)
 Andras Varga (andras@omnetpp.org)
 Shrinidhi Anil Varna (shrinidhi99.varna@gmail.com)
+Silviu-Leonard Vatamanelu (silviu48vatamanelu@gmail.com)
 Sebastien Vincent (vincent@clarinet.u-strasbg.fr)
 Guillaume Vu-Brugier (gvubrugier@gmail.com)
 Tom Wambold (tom5760@gmail.com)
@@ -343,6 +353,7 @@
 He Wu (mdzz@u.washington.edu)
 Xiuchao Wu (xiuchao@amazon.com)
 Aron Wussler (aron@wussler.it)
+wzfelix <wzfhrb.cn@gmail.com>
 Heran Yang (heran55@126.com)
 Yoshihiko Yazawa (yoshiyaz@gmail.com)
 Menglei Zhang (menglei@nyu.edu)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/build-support/3rd-party/find-program-hints.cmake ns-3.43/build-support/3rd-party/find-program-hints.cmake
--- ns-3.42/build-support/3rd-party/find-program-hints.cmake	2024-05-29 15:29:46.832072700 -0700
+++ ns-3.43/build-support/3rd-party/find-program-hints.cmake	2024-10-09 16:41:09.760655400 -0700
@@ -1,4 +1,5 @@
 disable_cmake_warnings()
+string(REPLACE ";" "/bin;" syspaths "${CMAKE_SYSTEM_PREFIX_PATH};")
 set(3RD_PARTY_FIND_PROGRAM_HINTS
     # find_program HINTS for Doxygen
     # https://gitlab.kitware.com/cmake/cmake/-/blob/master/Modules/FindDoxygen.cmake
@@ -18,5 +19,6 @@
     "[HKEY_LOCAL_MACHINE\\SOFTWARE\\ATT\\Graphviz;InstallPath]/bin"
     /Applications/Graphviz.app/Contents/MacOS
     /Applications/Utilities/Graphviz.app/Contents/MacOS
+    ${syspaths}
 )
 enable_cmake_warnings()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/build-support/3rd-party/netanim-cmakelists.cmake ns-3.43/build-support/3rd-party/netanim-cmakelists.cmake
--- ns-3.42/build-support/3rd-party/netanim-cmakelists.cmake	2024-05-29 15:29:46.832072700 -0700
+++ ns-3.43/build-support/3rd-party/netanim-cmakelists.cmake	2024-10-09 16:41:09.760655400 -0700
@@ -1,17 +1,6 @@
 # Copyright (c) 2017-2021 Universidade de Brasília
 #
-# This program is free software; you can redistribute it and/or modify it under
-# the terms of the GNU General Public License version 2 as published by the Free
-# Software Foundation;
-#
-# This program is distributed in the hope that it will be useful, but WITHOUT
-# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
-# details.
-#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place, Suite 330, Boston, MA  02111-1307 USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Author: Gabriel Ferreira <gabrielcarvfer@gmail.com>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/build-support/custom-modules/ns3-check-dependencies.cmake ns-3.43/build-support/custom-modules/ns3-check-dependencies.cmake
--- ns-3.42/build-support/custom-modules/ns3-check-dependencies.cmake	2024-05-29 15:29:46.832072700 -0700
+++ ns-3.43/build-support/custom-modules/ns3-check-dependencies.cmake	2024-10-09 16:41:09.760655400 -0700
@@ -1,17 +1,6 @@
 # Copyright (c) 2023 Universidade de Brasília
 #
-# This program is free software; you can redistribute it and/or modify it under
-# the terms of the GNU General Public License version 2 as published by the Free
-# Software Foundation;
-#
-# This program is distributed in the hope that it will be useful, but WITHOUT
-# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
-# details.
-#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place, Suite 330, Boston, MA  02111-1307 USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Author: Gabriel Ferreira <gabrielcarvfer@gmail.com>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/build-support/custom-modules/ns3-cmake-package.cmake ns-3.43/build-support/custom-modules/ns3-cmake-package.cmake
--- ns-3.42/build-support/custom-modules/ns3-cmake-package.cmake	2024-05-29 15:29:46.832072700 -0700
+++ ns-3.43/build-support/custom-modules/ns3-cmake-package.cmake	2024-10-09 16:41:09.760655400 -0700
@@ -1,17 +1,6 @@
 # Copyright (c) 2017-2021 Universidade de Brasília
 #
-# This program is free software; you can redistribute it and/or modify it under
-# the terms of the GNU General Public License version 2 as published by the Free
-# Software Foundation;
-#
-# This program is distributed in the hope that it will be useful, but WITHOUT
-# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
-# details.
-#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place, Suite 330, Boston, MA  02111-1307 USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Author: Gabriel Ferreira <gabrielcarvfer@gmail.com>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/build-support/custom-modules/ns3-compiler-and-linker-support.cmake ns-3.43/build-support/custom-modules/ns3-compiler-and-linker-support.cmake
--- ns-3.42/build-support/custom-modules/ns3-compiler-and-linker-support.cmake	2024-05-29 15:29:46.832072700 -0700
+++ ns-3.43/build-support/custom-modules/ns3-compiler-and-linker-support.cmake	2024-10-09 16:41:09.760655400 -0700
@@ -1,17 +1,6 @@
 # Copyright (c) 2023 Universidade de Brasília
 #
-# This program is free software; you can redistribute it and/or modify it under
-# the terms of the GNU General Public License version 2 as published by the Free
-# Software Foundation;
-#
-# This program is distributed in the hope that it will be useful, but WITHOUT
-# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
-# details.
-#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place, Suite 330, Boston, MA  02111-1307 USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Author: Gabriel Ferreira <gabrielcarvfer@gmail.com>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/build-support/custom-modules/ns3-compiler-workarounds.cmake ns-3.43/build-support/custom-modules/ns3-compiler-workarounds.cmake
--- ns-3.42/build-support/custom-modules/ns3-compiler-workarounds.cmake	2024-05-29 15:29:46.832072700 -0700
+++ ns-3.43/build-support/custom-modules/ns3-compiler-workarounds.cmake	2024-10-09 16:41:09.760655400 -0700
@@ -1,16 +1,5 @@
 # Copyright (c) 2022 Universidade de Brasília
 #
-# This program is free software; you can redistribute it and/or modify it under
-# the terms of the GNU General Public License version 2 as published by the Free
-# Software Foundation;
-#
-# This program is distributed in the hope that it will be useful, but WITHOUT
-# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
-# details.
-#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place, Suite 330, Boston, MA  02111-1307 USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Author: Gabriel Ferreira <gabrielcarvfer@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/build-support/custom-modules/ns3-configtable.cmake ns-3.43/build-support/custom-modules/ns3-configtable.cmake
--- ns-3.42/build-support/custom-modules/ns3-configtable.cmake	2024-05-29 15:29:46.832072700 -0700
+++ ns-3.43/build-support/custom-modules/ns3-configtable.cmake	2024-10-09 16:41:09.760655400 -0700
@@ -202,8 +202,8 @@
 
   set(really-enabled-modules ${ns3-libs};${ns3-contrib-libs})
   if(${ENABLE_TESTS})
-    list(APPEND really-enabled-modules libtest) # test is an object library and
-                                                # is treated differently
+    list(APPEND really-enabled-modules test) # test is an object library and
+    # is treated differently
   endif()
   if(really-enabled-modules)
     print_formatted_table_with_modules(
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/build-support/custom-modules/ns3-contributions.cmake ns-3.43/build-support/custom-modules/ns3-contributions.cmake
--- ns-3.42/build-support/custom-modules/ns3-contributions.cmake	2024-05-29 15:29:46.832072700 -0700
+++ ns-3.43/build-support/custom-modules/ns3-contributions.cmake	2024-10-09 16:41:09.760655400 -0700
@@ -1,17 +1,6 @@
 # Copyright (c) 2017-2021 Universidade de Brasília
 #
-# This program is free software; you can redistribute it and/or modify it under
-# the terms of the GNU General Public License version 2 as published by the Free
-# Software Foundation;
-#
-# This program is distributed in the hope that it will be useful, but WITHOUT
-# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
-# details.
-#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place, Suite 330, Boston, MA  02111-1307 USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Author: Gabriel Ferreira <gabrielcarvfer@gmail.com>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/build-support/custom-modules/ns3-coverage.cmake ns-3.43/build-support/custom-modules/ns3-coverage.cmake
--- ns-3.42/build-support/custom-modules/ns3-coverage.cmake	2024-05-29 15:29:46.832072700 -0700
+++ ns-3.43/build-support/custom-modules/ns3-coverage.cmake	2024-10-09 16:41:09.760655400 -0700
@@ -1,17 +1,6 @@
 # Copyright (c) 2017-2021 Universidade de Brasília
 #
-# This program is free software; you can redistribute it and/or modify it under
-# the terms of the GNU General Public License version 2 as published by the Free
-# Software Foundation;
-#
-# This program is distributed in the hope that it will be useful, but WITHOUT
-# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
-# details.
-#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place, Suite 330, Boston, MA  02111-1307 USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Author: Gabriel Ferreira <gabrielcarvfer@gmail.com>
 
@@ -29,6 +18,7 @@
     message(FATAL_ERROR "LCOV is required but it is not installed.")
   endif()
 
+  set(zero_counters)
   if(${NS3_COVERAGE_ZERO_COUNTERS})
     set(zero_counters "--lcov-zerocounters")
   endif()
@@ -43,8 +33,32 @@
   add_custom_target(
     coverage_gcc
     COMMAND lcov -o ns3.info -c --directory ${CMAKE_BINARY_DIR} ${zero_counters}
-    COMMAND genhtml ns3.info
     WORKING_DIRECTORY ${CMAKE_OUTPUT_DIRECTORY}/coverage
     DEPENDS run_test_py
   )
+
+  add_custom_target(
+    coverage_html
+    COMMAND genhtml ns3.info
+    WORKING_DIRECTORY ${CMAKE_OUTPUT_DIRECTORY}/coverage
+    DEPENDS coverage_gcc
+  )
+
+  # Convert lcov results to cobertura (compatible with gitlab)
+  check_deps(cobertura_deps EXECUTABLES c++filt PYTHON_PACKAGES lcov_cobertura)
+  if(cobertura_deps)
+    message(
+      WARNING
+        "Code coverage conversion from LCOV to Cobertura requires missing dependencies: ${cobertura_deps}"
+    )
+  else()
+    add_custom_target(
+      coverage_cobertura
+      COMMAND
+        lcov_cobertura ${CMAKE_OUTPUT_DIRECTORY}/coverage/ns3.info --output
+        ${CMAKE_OUTPUT_DIRECTORY}/coverage/cobertura.xml --demangle
+      WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
+      DEPENDS coverage_gcc
+    )
+  endif()
 endif()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/build-support/custom-modules/ns3-executables.cmake ns-3.43/build-support/custom-modules/ns3-executables.cmake
--- ns-3.42/build-support/custom-modules/ns3-executables.cmake	2024-05-29 15:29:46.832072700 -0700
+++ ns-3.43/build-support/custom-modules/ns3-executables.cmake	2024-10-09 16:41:09.760655400 -0700
@@ -168,8 +168,20 @@
     return()
   endif()
 
-  # Search for python examples
-  file(GLOB_RECURSE python_examples ${path}/*.py)
+  # Search for example scripts in the directory and its immediate children
+  # directories
+  set(python_examples)
+  file(GLOB examples_subdirs LIST_DIRECTORIES TRUE ${path}/*)
+  foreach(subdir ${path} ${examples_subdirs})
+    if(NOT (IS_DIRECTORY ${subdir}))
+      continue()
+    endif()
+    file(GLOB python_examples_subdir ${subdir}/*.py)
+    list(APPEND python_examples ${python_examples_subdir})
+  endforeach()
+
+  # Add example scripts to the list
+  list(REMOVE_DUPLICATES python_examples)
   foreach(python_example ${python_examples})
     if(NOT (${python_example} MATCHES "examples-to-run"))
       set(ns3-execs-py "${python_example};${ns3-execs-py}"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/build-support/custom-modules/ns3-fetch-optional-modules-dependencies.cmake ns-3.43/build-support/custom-modules/ns3-fetch-optional-modules-dependencies.cmake
--- ns-3.42/build-support/custom-modules/ns3-fetch-optional-modules-dependencies.cmake	2024-05-29 15:29:46.832072700 -0700
+++ ns-3.43/build-support/custom-modules/ns3-fetch-optional-modules-dependencies.cmake	2024-10-09 16:41:09.760655400 -0700
@@ -85,9 +85,4 @@
   add_dependencies(${libbrite} brite_dep)
   add_dependencies(${libclick} click_dep)
   add_dependencies(${libopenflow} openflow_dep)
-  if(NOT ${XCODE})
-    add_dependencies(${libbrite}-obj brite_dep)
-    add_dependencies(${libclick}-obj click_dep)
-    add_dependencies(${libopenflow}-obj openflow_dep)
-  endif()
 endmacro()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/build-support/custom-modules/ns3-filter-modules.cmake ns-3.43/build-support/custom-modules/ns3-filter-modules.cmake
--- ns-3.42/build-support/custom-modules/ns3-filter-modules.cmake	2024-05-29 15:29:46.832072700 -0700
+++ ns-3.43/build-support/custom-modules/ns3-filter-modules.cmake	2024-10-09 16:41:09.764655400 -0700
@@ -1,17 +1,6 @@
 # Copyright (c) 2023 Universidade de Brasília
 #
-# This program is free software; you can redistribute it and/or modify it under
-# the terms of the GNU General Public License version 2 as published by the Free
-# Software Foundation;
-#
-# This program is distributed in the hope that it will be useful, but WITHOUT
-# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
-# details.
-#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place, Suite 330, Boston, MA  02111-1307 USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Author: Gabriel Ferreira <gabrielcarvfer@gmail.com>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/build-support/custom-modules/ns3-find-external-library.cmake ns-3.43/build-support/custom-modules/ns3-find-external-library.cmake
--- ns-3.42/build-support/custom-modules/ns3-find-external-library.cmake	2024-05-29 15:29:46.832072700 -0700
+++ ns-3.43/build-support/custom-modules/ns3-find-external-library.cmake	2024-10-09 16:41:09.764655400 -0700
@@ -1,17 +1,6 @@
 # Copyright (c) 2023 Universidade de Brasília
 #
-# This program is free software; you can redistribute it and/or modify it under
-# the terms of the GNU General Public License version 2 as published by the Free
-# Software Foundation;
-#
-# This program is distributed in the hope that it will be useful, but WITHOUT
-# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
-# details.
-#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place, Suite 330, Boston, MA  02111-1307 USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Author: Gabriel Ferreira <gabrielcarvfer@gmail.com>
 
@@ -111,6 +100,9 @@
       # directories
       $ENV{PATH} # Search for libraries in PATH directories
   )
+  if(library_search_paths)
+    list(REMOVE_DUPLICATES library_search_paths)
+  endif()
   enable_cmake_warnings()
   # cmake-format: off
     #
@@ -223,6 +215,9 @@
       # ns-3-dev/build
       ${CMAKE_INSTALL_PREFIX} # Search for headers in the install
   )
+  if(header_search_paths)
+    list(REMOVE_DUPLICATES header_search_paths)
+  endif()
 
   set(not_found_headers)
   set(include_dirs)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/build-support/custom-modules/ns3-hidden-settings.cmake ns-3.43/build-support/custom-modules/ns3-hidden-settings.cmake
--- ns-3.42/build-support/custom-modules/ns3-hidden-settings.cmake	2024-05-29 15:29:46.836073000 -0700
+++ ns-3.43/build-support/custom-modules/ns3-hidden-settings.cmake	2024-10-09 16:41:09.764655400 -0700
@@ -1,17 +1,6 @@
 # Copyright (c) 2023 Universidade de Brasília
 #
-# This program is free software; you can redistribute it and/or modify it under
-# the terms of the GNU General Public License version 2 as published by the Free
-# Software Foundation;
-#
-# This program is distributed in the hope that it will be useful, but WITHOUT
-# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
-# details.
-#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place, Suite 330, Boston, MA  02111-1307 USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Author: Gabriel Ferreira <gabrielcarvfer@gmail.com>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/build-support/custom-modules/ns3-lock.cmake ns-3.43/build-support/custom-modules/ns3-lock.cmake
--- ns-3.42/build-support/custom-modules/ns3-lock.cmake	2024-05-29 15:29:46.836073000 -0700
+++ ns-3.43/build-support/custom-modules/ns3-lock.cmake	2024-10-09 16:41:09.764655400 -0700
@@ -1,17 +1,6 @@
 # Copyright (c) 2017-2021 Universidade de Brasília
 #
-# This program is free software; you can redistribute it and/or modify it under
-# the terms of the GNU General Public License version 2 as published by the Free
-# Software Foundation;
-#
-# This program is distributed in the hope that it will be useful, but WITHOUT
-# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
-# details.
-#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place, Suite 330, Boston, MA  02111-1307 USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Author: Gabriel Ferreira <gabrielcarvfer@gmail.com>
 
@@ -126,6 +115,8 @@
     set(lock_filename .lock-ns3_darwin_build)
   elseif(WIN32)
     set(lock_filename .lock-ns3_win32_build)
+  elseif(BSD)
+    set(lock_filename .lock-ns3_bsd_build)
   else()
     message(FATAL_ERROR "Platform not supported")
   endif()
